# $Revision: 1.37 $, $Date: 2011/11/02 21:20:20 $
%define		subver	RC2
%define		rel		1
%define		status		alpha
%define		pearname	Net_NNTP
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - communicate with an NNTP server
Summary(pl.UTF-8):	%{pearname} - komunikacja z serwerem NNTP
Name:		php-pear-%{pearname}
Version:	1.5.0
Release:	1.%{subver}.%{rel}
License:	W3C / PHP 2.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}%{subver}.tgz
# Source0-md5:	5a141cf3e33e2b2dc8078c7341b423c0
URL:		http://pear.php.net/package/Net_NNTP/
BuildRequires:	php-pear-PEAR >= 1:1.4.5
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
Requires:	php-pear-Net_Socket >= 1.0.3
Requires:	php-pear-PEAR-core >= 1:1.4.0
Suggests:	php-pear-Log
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(Log.*)

%description
Complete class for communicating with an NNTP server (this is: the
USENET), including: post, view, list, authentication, overview, header
manipulation, NNTP commands debugger, etc.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Kompletna klasa umożliwiająca komunikację z serwerem NNTP (USENET),
zawierająca: wysyłanie, przeglądanie, listowanie, uwierzytelnianie,
przegląd, manipulację nagłówkami, debugger komend NNTP, etc.

Ta klasa ma w PEAR status %{status}.

%prep
%pear_package_setup

mv docs/%{pearname}/docs/examples .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_examplesdir}/%{name}-%{version}}
%pear_package_install

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/NNTP

%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_NNTP.spec,v $
Revision 1.37  2011/11/02 21:20:20  glen
- up to 1.5.0RC2

Revision 1.36  2011/09/15 19:52:51  glen
- up to 1.5.0RC1

Revision 1.35  2010/08/21 19:08:14  glen
- updated deps with pearize.sh
- release 2

Revision 1.34  2010/08/19 14:07:09  glen
- up to 1.5.0a1

Revision 1.33  2008/06/19 12:48:37  adamg
- updated to 1.4.0

Revision 1.32  2008-01-31 12:17:05  glen
- rel 4

Revision 1.31  2007-02-13 08:06:40  glen
- tabs in preamble

Revision 1.30  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.29  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.28  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.27  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.26  2005/10/05 20:59:19  glen
- rel 2

Revision 1.25  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.24  2005/09/29 00:42:53  glen
- new pear packaging

Revision 1.23  2005/03/29 07:15:59  adamg
- updated to 1.0.1

Revision 1.22  2005/03/22 09:17:42  zboczuch
- included missing Protocol directory
- pl fixes
- rel. 2

Revision 1.21  2005/02/05 19:50:14  adamg
- updated to 1.0.0

Revision 1.20  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.19  2004/10/24 18:53:07  paladine
- spelling fixes, uppercases, etc.

Revision 1.18  2004/08/01 18:10:50  adamg
- updated to 0.10.3

Revision 1.17  2004/07/08 19:04:31  adamg
- updated to 0.10.2

Revision 1.16  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.15  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.14  2003/11/30 16:09:43  adamg
- updated to 0.10.1

Revision 1.13  2003/10/14 19:35:13  adamg
- updated to 0.10.0, license fixed

Revision 1.12  2003/10/07 20:55:41  adamg
- do not use macros in URL

Revision 1.11  2003/09/21 08:32:17  adamg
- updated to 0.9.3

Revision 1.10  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.9  2003/08/31 10:40:04  adamg
- updated to 0.9.2

Revision 1.8  2003/08/15 15:06:42  adamg
- updated to 0.9.1

Revision 1.7  2003/08/11 15:07:55  adamg
- updated to 0.9.0, status changed to alpha (is BC), added status information in %description

Revision 1.6  2003/07/20 23:27:07  adamg
- updated to 0.2

Revision 1.5  2003/05/28 08:58:45  adamg
- massive attack: added source0-md5

Revision 1.4  2003/05/25 06:25:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/10/14 23:48:55  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.2  2002/09/15 10:48:22  blues
- fix in macros

Revision 1.1  2002/07/13 19:01:20  blues
- initial release
